
import sqlite3

class SQL:

	def __init__(self ):
		self.dbname = None

	def insertFromDict(self , table, d):
		"""Return SQL statement and data vector for insertion into table."""
		fields = []
		for k in d:
			fields.append( k )
		sql = 'INSERT OR IGNORE INTO %s (%s) VALUES(%s)' % ( table, ", ".join(fields), ", ".join("?" for f in fields))
		#if d["c"] > 2:
		#	print( sql, d.values() )
		return sql, d.values()


	# BULK INSERT in SQLite \m| aaarrgh
	def InsertInto_modular(self , connection , cursor , tablename , data , step=490):
		print [ tablename , len(data.keys()) ]
		from itertools import izip_longest, ifilter
		step_chunks = [data.iteritems()]*step
		chunks = (dict(ifilter(None, v)) for v in izip_longest(*step_chunks))
		for chunk in chunks:
			connection.execute('BEGIN TRANSACTION')
			for item in chunk:
				sql, data = self.insertFromDict( tablename ,  chunk[item])
				try:
					cursor.execute(sql, data)
				except Exception as e:
					print e
					print "FAIL:\t",data
					print (" - - - - -  - - - - ")
			connection.execute('COMMIT TRANSACTION')
			connection.commit()
		results = [ tablename, "OK"]
		print "\t", results 
		return results