#!/bin/bash


# = = = [ EXECUTION EXAMPLE ] = = = ] #
#
#      nohup  ./10_scan_isi.sh  input:"ISIfile"  output:"stats_folder"  &
#
# = = = [ / EXECUTION EXAMPLE ] = = = ] #


folder="WoS_ISI_v2/*"
outfolder="WoS_ISI__att-stats"

for f in $folder
do
	if [[ -f $f ]]; then
		if [[ $f != *".save"* ]]; then
			# echo "$f"
			nohup  python3 11_scan_isi.py "$f"  "$outfolder"  &
		fi
	fi
done
