#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import json
# import pprint

D = {}


INPUT     = "raw_json/Pubmed_2011[dp].txt.json"
OUTPUT    = "folder"
if len(sys.argv)>1 and sys.argv[1]!=None: INPUT = sys.argv[1]
if len(sys.argv)>2 and sys.argv[2]!=None: OUTPUT = sys.argv[2]

def parse_this( P ):
	data = {}
	return data


print("reading...")
f = open( INPUT , "r" )
P = json.load( f )
f.close()
print( " reading OK ")

limit = int(len(P)*0.02)
c = 0
for i in P:
	c += 1
	if c == limit:
		break
	p = P[i]
	if p["PMID"][0] not in D:
		D[ p["PMID"][0] ] = p



rawfile = INPUT.split("/")[-1]
with open( rawfile+"_sample.json", 'w') as outfile:
	json.dump(D, outfile, ensure_ascii=False , indent=1)

