#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import json
# import pprint

D = {}


INPUT     = "raw_json/Pubmed_2011[dp].txt.json"
OUTPUT    = "folder"
if len(sys.argv)>1 and sys.argv[1]!=None: INPUT = sys.argv[1]
if len(sys.argv)>2 and sys.argv[2]!=None: OUTPUT = sys.argv[2]


f = open( INPUT , "r" )
P = json.load( f )
f.close()

stats = [ "" , 0 , 0]

for i in P:
	p = P[i]
	if "MH" in p:
		stats[0] = INPUT
		stats[1]+=1
		stats[2]+=len(p["MH"])

stats[2] = round(stats[2]/float(stats[1]),2)

print( stats )


