#!/usr/bin/env python
# -*- coding: utf-8 -*-


# = = = [ EXECUTION EXAMPLE ] = = = ] #
#
#
#      nohup   python3 02_parse_isi.py ISIFILE  /output/jsons/folder  &
#
#
# = = = [ / EXECUTION EXAMPLE ] = = = ] #



import sys
import re
import pprint
import json

D = {}


INPUT     = "2011_sample.txt"
OUTPUT    = "raw_json"
if len(sys.argv)>1 and sys.argv[1]!=None: INPUT = sys.argv[1]
if len(sys.argv)>2 and sys.argv[2]!=None: OUTPUT = sys.argv[2]
rawfile = INPUT.split("/")[-1]

def parse_this( P ):

	data = {}

	for line in P:
		# if line.startswith("CR") or line.startswith("R9") or line.startswith("/") or line.startswith("EC"):
		# 	x = 1
		# else:
		n = 1
		groups = line.split('-')
		header = '-'.join(groups[:n]).strip()
		content = ('-'.join(groups[n:])).strip()
		if content != "":
			if header not in data:
				data[header] = []
			data[header].append( content )

	return data


f = open( INPUT , "r" )
Lines = []

c = 0
P_delim = []

for i in f: 
	line = i.replace( "\n" , "" )
	if line.startswith("PMID"):
		P_delim.append( c )

	if line.startswith( "      " ):
		Lines[-1] = Lines[-1] + line.replace("      "," ")
	else:
		Lines.append( line )
		c += 1
f.close()

DD = {}
for i in range(len(P_delim)):
	try:
		x = P_delim[i+1]
	except:
		break

	a = P_delim[i]
	b = P_delim[i+1] - 1

	pub = parse_this ( Lines[a:b] )

	for i in sorted(pub.keys()):
		if i not in DD:
			DD[i] = 0
		DD[i] += 1

	if pub["PMID"][0] not in D:
		D[ pub["PMID"][0] ] = pub


import json
with open( OUTPUT + "/" + rawfile+".json", 'w') as outfile:
	json.dump(D, outfile, ensure_ascii=False )

# N = float( DD["PMID"] )

# for i in DD:
# 	# print( i ,"\t", DD[i]  )
# 	if (DD[i]/N) >= 0.5:
# 		print( i ,"\t", DD[i]  )
