#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import json

class Extract:

	def __init__( self ):
		self.stats = {
			"Pubs" : 0,
			"Pubs+Aid" : 0,
			"nodes" : 0,
			"edges" : 0,
			"times" : []
			# "cliques" : len(cliques),
		}

	def calc_OCCs ( self , folder , timeunit ):

		query = 'find '+folder+' -type f -name "*'+timeunit+'*"'
		pubs_folder = os.popen(  query  )
		filename = pubs_folder.readlines()[0].replace("\n","")
		f = open( filename , "r" )
		P = json.load( f )
		f.close()

		rawdata = []
		FreqD = {}
		for i in P:
			p = P[i]
			if "MH" in p:
				elems = p["MH"]
				elems_ids = []
				for a in elems:
					nID = a
					elems_ids.append( nID )
					if nID not in FreqD:
						FreqD[ nID ] = 0
					FreqD[ nID ] += 1

				rawdata.append( elems_ids )

		self.stats["Pubs"] = len(P)
		self.stats["Pubs+Aid"] = len(rawdata)

		return rawdata , FreqD



# folder = "PubMed/json_sample/"
# inst = Extract()
# inst.calc_OCCs( folder , "2010")