# arXiv : doc for sqlite format

The harvesting of this source was made thanks to OAI-PMH protocol and [oaimi](https://github.com/miku/oaimi). Here are the results:
  - 1.089.259 publications
  - 3.812.219 not-unique authors
  	- Ok, authors have no ID, this sucks. So as i can't solve the "homonyms problem" yet, in the table *publication_author* i added a tuple like (*pub_id,author_name,affiliation*).

*personal thought: poorest repository ever! no comparison with 4CM-DL*

### SQL TABLES DESCRIPTION
#### __publication__
- __id__ : unique_id of the pub in arXiv.
- __doi__ 
- __oai_id__ : OAI-PMH url + doi
- __name__ : the title.
- __date__ : publication date, with format YEAR-MONTH-DAY.
- __date_updated__ : for some reason, authors modify the pubs afterall, as well YEAR-MONTH-DAY.
- __abstract__
- __comments__ : generally here you see number of pages and source-title.
- __journal__ : in which source was published.
- __acm_class__ : classification only  for computer science publications  (*domain: __cs__*).
- __msc_class__ : classification only  for mathematics publications  (*domain: __math__*).
- __domain__ : available arXiv classifications
	- __cs__
	-  __math__
	- __physics__
		- physics:__astro-ph__
		- physics:__cond-mat__
		- physics:__gr-qc__
		- physics:__hep-ex__
		- physics:__hep-lat__
		- physics:__hep-ph__
		- physics:__hep-th__
		- physics:__math-ph__
		- physics:__nlin__
		- physics:__nucl-ex__
		- physics:__nucl-th__
		- physics:__physics__
		- physics:__quant-ph__
	- __q-bio__
	- __q-fin__
	- __stat__
- __subdomain__ : list of domains concatenated by "|" in a string.

#### __publication_author__
- __p__ : unique_id of the publication.
- __keyname__ : its lastname.
- __forenames__ : firstname and surname.
- __suffix__ : could be like "Jr", "II", ...
- __affiliation__ : name of the institution he was attached by the moment of the publication.