#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sqlite3
import time


class Extract:

	def __init__( self , DEBUG ):
		self.stats = {
			"Pubs" : 0,
			"Pubs+Aid" : 0,
			"nodes" : 0,
			"edges" : 0,
			"times" : []
			# "cliques" : len(cliques),
		}
		self.DEBUG = DEBUG


	def get_time_s( self , start ):
		return "{0:.2f}".format((time.time() -  start))


	def extract_publications( self , dbfile , limit = 10 ):

		P = []
		connDBLP=sqlite3.connect( dbfile )
		connDBLP.row_factory = sqlite3.Row# Magic line!
		cursorDBLP=connDBLP.cursor()

		query = 'SELECT * FROM publication limit '+str(limit)

		cursorDBLP.execute(query)
		rows = cursorDBLP.fetchall()

		for pub in rows:
			p = {}
			for k in pub.keys():
				if pub[k] != None:
					p[k] = pub[k]
			P.append( p )


		connDBLP.close()
		return P

