# 4CM-DL : doc for sqlite format

Once the two scrapings of all 4CM-DL html-pages were finished, i parsed and formatted this unstructured data, having the following:
  - 1.932.483 publications
  - 1.729.311 authors
  - 1.221.087 keywords
  - ... from which:
    - 1,911,271 publications have authors
    - 1,898,968 publications have authors+IDs
    - 997,504 publications have keywords
  - 101.739 sources
    - each publication had its source-title... from this fact i did a title-matching using several conditions and finally i verified this heuristic with the sources-lists of 4CM-DL. 
    - In summary i got 95.05 % of total number of publications with now a source_id and not just a source-title.


### SQL TABLES DESCRIPTION
- __publication__
  - __id__ : unique_id of the pub in 4CM-DL.
  - __name__ : the title.
  - __date__ : publication date, with format YEAR-MONTH.
  - __abstract__ : 50% of the original abstract.
  - __authors__ : authors' unique_ids concatenated by "|" in a string.
  - __keywords__ : keywords' ids concatenated by "|" in a string.
  - __c__ : citation count (*debut mars 2016*).
  - __s_type__ : if it was published in a __source__ like a journal, conf, book, ...
  - __s_id__ : unique_id of the publication' __source__ (given in 4acm-dl but matched by heuristic).
- __source__
  - __id__ : unique_id of the source in 4CM-DL.
  - __name__ : its title.
  - __type__ : if it's a journal, conf, book, ...
  - __P__ : publication' unique_ids concatenated by "|" in a string.
- __author__
  - __id__ : unique_id of the author in 4CM-DL.
  - __name__ : its fullname.
  - __c__ : number of papers the author wrote.
  - __v__ : average number of collaborators the author has.
- __keyword__ : *defined in each publication by the authors*
  - __id__ : unique_id of the keyword asigned in data-parsing.
  - __name__ : the keyword.
  - __c__ : number of papers in which the keyword was used.
  - __v__ : average number of co-occurrences of the keyword.

