#!/bin/bash


# = = = [ EXECUTION EXAMPLE ] = = = ] #
#
#      nohup  ./50_PeriodSlicing.sh  output:"test00"  aggregation:"period_size"  &
#
# = = = [ / EXECUTION EXAMPLE ] = = = ] #


folder="/data/tina/Thomson/raw/*"
outfolder="WoS_ISI_v2"

for f in $folder
do
	if [[ -f $f ]]; then
		if [[ $f != *".save"* ]]; then
			# echo "$f"
			nohup  python3 02_parse_isi.py "$f"  "$outfolder"  &
		fi
	fi
done
